Bug 199156 - editors/abiword: Update to 3.0.1
Summary: editors/abiword: Update to 3.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Don Lewis
URL: http://abisource.org/release-notes/3....
Keywords: patch, patch-ready
Depends on:
Blocks: 193318 195452 199158 199544
  Show dependency treegraph
 
Reported: 2015-04-04 06:01 UTC by Ben Woods
Modified: 2015-06-18 22:23 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback-


Attachments
Patch to update editors/abiword to 3.0.1 (54.04 KB, patch)
2015-04-04 06:01 UTC, Ben Woods
no flags Details | Diff
Successful poudriere testport on FreeBSD 10.1 amd64 with all options enabled (952.19 KB, text/plain)
2015-04-04 06:08 UTC, Ben Woods
no flags Details
Successful poudriere testport on FreeBSD 10.1 amd64 with all options disabled (758.45 KB, text/plain)
2015-04-04 06:30 UTC, Ben Woods
no flags Details
Patch to update editors/abiword to 3.0.1 (54.04 KB, patch)
2015-04-19 22:47 UTC, Ben Woods
koobs: maintainer-approval+
Details | Diff
Successful poudriere testport on FreeBSD 10.1 amd64 with all options enabled (951.39 KB, text/plain)
2015-04-20 02:12 UTC, Ben Woods
no flags Details
Successful poudriere testport on FreeBSD 10.1 amd64 with all options disabled (757.66 KB, text/plain)
2015-04-20 02:13 UTC, Ben Woods
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2015-04-04 06:01:04 UTC
Created attachment 155176 [details]
Patch to update editors/abiword to 3.0.1

Update editors/abiword to latest upstream release 3.0.1.
http://abisource.org/release-notes/3.0.1.phtml

This patch also includes some port tidy up to satsify portlint, and includes support for the new Abiword collaboration backends for Telepathy and SIP as options.

This patch also fixes the issues identified in PR 195452 with the available options.
Comment 1 Ben Woods freebsd_committer 2015-04-04 06:08:11 UTC
Created attachment 155177 [details]
Successful poudriere testport on FreeBSD 10.1 amd64 with all options enabled
Comment 2 Ben Woods freebsd_committer 2015-04-04 06:30:16 UTC
Created attachment 155178 [details]
Successful poudriere testport on FreeBSD 10.1 amd64 with all options disabled
Comment 3 Ben Woods freebsd_committer 2015-04-04 08:29:22 UTC
editors/abiword-docs should also be updated along with this port. I have raised a separate bug report for this: PR 199158
Comment 4 Ben Woods freebsd_committer 2015-04-04 08:48:49 UTC
This update also fixes the issues when building with GCC, which were reported in PR193318. Successful poudriere build logs using GCC are attached to that PR.
Comment 5 Ben Woods freebsd_committer 2015-04-19 22:47:35 UTC
Created attachment 155754 [details]
Patch to update editors/abiword to 3.0.1

This updated patch removes converters/psiconv from the LIB_DEPENDS. It is only added to the LIB_DEPENDS if option PSION is set. This fixes PR199544.
Comment 6 Ben Woods freebsd_committer 2015-04-20 02:12:42 UTC
Created attachment 155756 [details]
Successful poudriere testport on FreeBSD 10.1 amd64 with all options enabled

Updated poudriere testport logs for latest patch 155754
Comment 7 Ben Woods freebsd_committer 2015-04-20 02:13:42 UTC
Created attachment 155757 [details]
Successful poudriere testport on FreeBSD 10.1 amd64 with all options disabled

Updated poudriere testport logs for latest patch 155754
Comment 8 Adam Weinberger freebsd_committer 2015-05-16 16:33:02 UTC
Guys can I commit this PR?
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-10 02:27:23 UTC
@Adam, this issue is now maintainer-timeout. Please assign to yourself

@Ben, can you please check that the issue Depends/Blocks I've just set are correct and complete
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-10 02:27:59 UTC
Comment on attachment 155754 [details]
Patch to update editors/abiword to 3.0.1

Maintainer timeout, implicit approval. Open to take
Comment 11 Ben Woods freebsd_committer 2015-06-10 09:33:46 UTC
Thanks for updating the depends/blocks settings koobs - they are mostly correct, except I would say that 199158 abiword-docs update depends on 199156 abiword update (or, said another way, that 199156 abiword update blocks the 199158 abiword-docs update).
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-10 10:07:31 UTC
Is this now correct?

So this issue doesn't depend on any others being complete first?
Comment 13 Ben Woods freebsd_committer 2015-06-10 10:22:56 UTC
Thanks - that's correct now. The patch proposed in this update can be committed without any other changes. It then allows the patch in 199158 to be committed, and fixes the bugs reported in the other PRs.
Comment 14 commit-hook freebsd_committer 2015-06-18 22:20:41 UTC
A commit references this bug:

Author: truckman
Date: Thu Jun 18 22:20:28 UTC 2015
New revision: 390083
URL: https://svnweb.freebsd.org/changeset/ports/390083

Log:
  Update to 3.0.1, see <http://abisource.org/release-notes/3.0.1.phtml>.

  Add new Abiword collaboration backends for Telepathy and SIP as options.

  Fix improper handling of COLLAB options group.

  Get rid of improper unconditional dependency on converters/psiconv.

  Fix build with gcc.

  Portlint cleanup.

  PR:		199156
  PR:		195452
  PR:		199544
  PR:		193318
  Submitted by:	Ben Woods <woodsb02@gmail.com>
  Approved by:	mat (mentor, implicit)

Changes:
  head/editors/abiword/Makefile
  head/editors/abiword/distinfo
  head/editors/abiword/files/patch-Makefile.in
  head/editors/abiword/files/patch-plugins_bmp_xp_ie_impGraphic_BMP.cpp
  head/editors/abiword/files/patch-plugins_collab_backends_sipsimple_xp_SIPSimpleBuddy.h
  head/editors/abiword/files/patch-plugins_garble_xp_abiword-garble-png.cpp
  head/editors/abiword/files/patch-src_af_util_xp_ut_png.cpp
  head/editors/abiword/files/patch-src_text_ptbl_xp_pd__DocumentRDF.cpp
  head/editors/abiword/files/patch-src_text_ptbl_xp_pd__DocumentRDF.h
  head/editors/abiword/files/patch-src_wp_impexp_gtk_ie_impGraphic_GdkPixbuf.cpp
  head/editors/abiword/files/patch-tls_tunnel.cpp
  head/editors/abiword/pkg-plist